/************************************************************************
Work/Break Cycle Timer
Original Copyright (C) 2009  by  David Wilson
Modifications Copywright 2010 by DJB
    The goal here is to set the first interval for "work time" (white), second interval for the "alarm time" (red), and the third interval for the "break time" (blue)
    It will count down from the first, alarm goes off for X seconds, and then count down from the third, cycling until stopped.

*************************************************************************/

System.Gadget.onSettingsClosing = SettingsClosing;

function SettingsOpening() {
    soundPicker.selectedIndex = System.Gadget.Settings.read("alarmIndex");

    color0Picker.selectedIndex = System.Gadget.Settings.read("color0Index");
    color1Picker.selectedIndex = System.Gadget.Settings.read("color1Index");
    color2Picker.selectedIndex = System.Gadget.Settings.read("color2Index");
}

function SettingsClosing(event) {
    var alarmSound;

    if (event.closeAction == event.Action.commit) {
        System.Gadget.Settings.write("alarmIndex", soundPicker.selectedIndex);

        alarmSound = soundPicker.options[soundPicker.selectedIndex].text + ".wav";
        System.Gadget.Settings.write("alarmSound", alarmSound);

        System.Gadget.Settings.write("color0Index", color0Picker.selectedIndex);
        System.Gadget.Settings.write("color1Index", color1Picker.selectedIndex);
        System.Gadget.Settings.write("color2Index", color2Picker.selectedIndex);
    }

    event.cancel = false;
}


